# Presenting Triumph

Your users will access Triumph through a button tap. You will choose the look and feel of the button, but it should be clearly accessible on the start screen of your game and have a clear identifier like "Online Mode" or "Tournaments." Call the `present` function when your button is tapped.

{% tabs %}
{% tab title="Unity" %}

```csharp
using TriumphSDK;

// Action of the tournaments button
tournamentsButton.onClick.AddListener(() => {
    // Summons the triumph UI when your tournaments button is tapped
    Triumph.Present();
});
```

{% endtab %}

{% tab title="Swift" %}

```swift
import TriumphSDK 

// Action of the tournaments button
@objc func onTournamentsButtonPressed() {
    // Summons the triumph UI when your tournaments button is tapped
    Triumph.present() 
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.triumpharcade.com/triumph-sdk/presenting-triumph.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
